
describe('Storybook Components', () => {
  context('Buttons', () => {
    beforeEach(() => {
      cy.loadStorybook()
    })

    it('Secondary', () => {
      cy.loadComponent('buttons-secondary-button', 'secondary')
      cy.clickCheckComponent('button', 'Secondary', 'click: (1)')
    })

    it('Secondary Disabled', () => {
      cy.loadComponent('buttons-secondary-button', 'secondary-disabled')
      cy.disabledComponent('button', 'Secondary')
    })

    it('Secondary Outlined', () => {
      cy.loadComponent('buttons-secondary-button', 'secondary-outlined')
      cy.clickCheckComponent('button', 'Secondary', 'click: (1)')
    })

    it('Secondary Small', () => {
      cy.loadComponent('buttons-secondary-button', 'secondary-small')
      cy.clickCheckComponent('button', 'Secondary', 'click: (1)')
    })

    it('Secondary Outlined Small', () => {
      cy.loadComponent('buttons-secondary-button', 'secondary-outlined-small')
      cy.clickCheckComponent('button', 'Secondary', 'click: (1)')
    })
  })
})
